PUT/demandshop

Edit Demand Shop

User can edit the HotelDemandShop

This API call allows the user to modify the details of an existing demandshopname linked to a demandShopId.
PUT/demandshop

Parameter Details

NameInTypeRequiredDescription
demandShopIdqueryintegerRequiredUnique identifier for the Hotel Demand Shop.
bodybodyRequirednone

Responses

StatusMeaningDescriptionSchema
200OKOK
400Bad RequestBad RequestNone
401UnauthorizedUnauthorizedNone
403ForbiddenForbiddenNone
404Not FoundNot FoundNone
429Too Many RequestsToo Many RequestsNone
500Internal Server ErrorInternal Server Error.None

Example Request

# You can also use wget
curl -X PUT /demandshop?demandShopId=1 \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}'

Body parameter

{
  "shopName": "",
  "hotelCode": 0,
  "city": "",
  "country": "",
  "startDate": "2025-05-06",
  "horizon": 0,
  "estimatedAttendee": "",
  "proximity": 0,
  "category": "0",
  "subCategory": "0"
}

Example responses

200 Response
{
  "message": "Shop details updated successfully",
  "shopId": 36418
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.